package clearsearchstuff.view.backing;

import clearsearchstuff.view.util.ELHelper;

import oracle.adf.model.BindingContext;

import oracle.binding.BindingContainer;
import oracle.binding.OperationBinding;

public class SearchOnViewObjectParameters
{
	public BindingContainer getBindings()
	{
		return BindingContext.getCurrent().getCurrentBindingsEntry();
	}

	public String clearSearchCButtonAction()
	{
		ELHelper.set("#{bindings.EmployeeName.inputValue}",
			"#{bindings.EmployeeName.attributeDef.defaultValue}");
		ELHelper.set("#{bindings.LowSal.inputValue}",
			"#{bindings.LowSal.attributeDef.defaultValue}");
		ELHelper.set("#{bindings.HighSal.inputValue}",
			"#{bindings.HighSal.attributeDef.defaultValue}");

		executeEmptyRowSet();
		return null;
	}

	public void executeEmptyRowSet()
	{
		BindingContainer bindings = getBindings();
		OperationBinding operationBinding = bindings.getOperationBinding("executeEmptyRowSet");
		Object result = operationBinding.execute();
		if (!operationBinding.getErrors().isEmpty())
		{
			// TODO improve error handling
			throw new RuntimeException("errors after execute");
		}
	}
}
